all: prez.zip

master.zip:
	wget --output-document=$@ https://github.com/hakimel/reveal.js/archive/master.zip

reveal.js: master.zip
	unzip -jn $^ reveal.js-master/dist/$@

reveal.css: master.zip
	unzip -jn $^ reveal.js-master/dist/$@

markdown.js: master.zip
	unzip -jn $^ reveal.js-master/plugin/markdown/$@

black.css: master.zip
	unzip -jn $^ reveal.js-master/dist/theme/$@

prez.zip: index.html reveal.js reveal.css markdown.js black.css
	zip -9 $@ $^

.PHONY: clean
clean:
	rm -f master.zip reveal.js reveal.css markdown.js black.css prez.zip
